getdns_list(3)

NAME
getdns_list_get, getdns_list_get_bindata, getdns_list_get_data_type, getdns_list_get_dict, getdns_list_get_length, getdns_list_get_list, getdns_list_get_int -- get a value by index from a getdns list

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_return_t
getdns_list_get_bindata (getdns_list *this_list,
    size_t index,
    getdns_bindata **answer)
getdns_return_t
getdns_list_get_data_type (getdns_list *this_list,
    size_t index,
    getdns_data_type *answer)
getdns_return_t
getdns_list_get_dict (getdns_list *this_list,
    size_t index,
    getdns_dict **answer)
getdns_return_t
getdns_list_get_length (getdns_list *this_list,
    size_t *answer)
getdns_return_t
getdns_list_get_list (getdns_list *this_list,
    size_t index,
    getdns_list **answer)
getdns_return_t
getdns_list_get_int (getdns_list *this_list,
    size_t index,
    uint32_t *answer)

DESCRIPTION

The getdns_list type is used to manage heterogeneous lists in which the objects are each one of the data types:
    getdns_bindata
    getdns_dict
    getdns_list
    uint32_t

this_list the list from which to retrieve the object

index the numeric index (0 based) of the item in the list you would like copied to answer

answer a copy of the object in the list is placed in answer, the caller is responsible for freeing the storage associated with that object by calling the appropriate destroy function.

RETURN VALUES
Upon successful completion the functions return GETDNS_RETURN_GOOD , otherwise the following error values are returned:

GETDNS_RETURN_GENERIC_ERROR if this_list is not a valid list

GETDNS_RETURN_NO_SUCH_LIST_ITEM if index is out of range

GETDNS_RETURN_WRONG_TYPE_REQUESTED if the requested data type doesn't match the contents of the indexed argument

EXAMPLES
TBD

SEE ALSO
libgetdns(3), getdns_address(3), getdns_dict(3), getdns_general(3), getdns_hostname(3), getdns_service(3),